<template>
  <div class="cloud-main-screen">
    <div class="cloud-main-screen__container container">
      <div class="cloud-main-screen__content content">
        <h1 class="base-title">{{ $t('title') }}</h1>
        <p>{{ $t('subtitle') }}</p>
        <div class="content__actions">
          <base-button
            shaded
            @click.native="$router.push(localePath('/application'))"
          >
            {{ $t('getBtn') }}
          </base-button>
        </div>
      </div>
      <div class="cloud-main-screen__img img">
        <img
          src="../../assets/img/cloud/cloud-main-screen.svg"
          width="629"
          height="543"
          alt="pers"
        />
      </div>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "title": "Turnkey Solution to Open Own Crypto Exchange",
    "subtitle": "Ready-made software for your crypto Exchange by TBCC Cloud. Launch your business in just a few days",
    "getBtn": "Get your exchange"
  },
  "ch": {
    "title": "开设自己的加密货币交易所的交钥匙方案",
    "subtitle": "TBCC云为您的加密货币交易所提供现成的软件。在短短的几天内启动您的业务",
    "getBtn": "Get your exchange"
  },
  "tur": {
    "title": "Turnkey Solution to Open Own Crypto Exchange",
    "subtitle": "Ready-made software for your crypto Exchange by TBCC Cloud. Launch your business in just a few days",
    "getBtn": "Get your exchange"
  }
}
</i18n>

<script>
import { mapActions } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  methods: {
    ...mapActions({
      toggleShowFeedbackForm: 'toggleShowFeedbackForm',
    }),
  },
}
</script>

<style lang="scss" scoped>
.base-title {
  font-weight: 700;
  font-size: 36px;
  line-height: 45px;
  margin: 0 0 30px;
  position: relative;
  max-width: 385px;

  @media (max-width: 767px) {
    text-align: center;
    margin-bottom: 25px;
    max-width: 305px;
  }

  @media (min-width: 1024px) {
    font-size: 50px;
    line-height: 54px;
  }

  @media (min-width: 1200px) {
    font-size: 60px;
    line-height: 74px;
    max-width: 515px;
  }

  @media (min-width: 768px) {
    &::before {
      content: '';
      position: absolute;
      width: 509px;
      height: 270px;
      top: -142px;
      left: -162px;
      background-image: url('../../assets/img/hub/bg-star1.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
    }
  }
}

.cloud-main-screen {
  background: linear-gradient(169deg, #1f0c71 27.28%, #041344 67.8%);

  @media (min-width: 768px) {
    padding-top: 65px;
  }

  @media (min-width: 1024px) {
    padding-top: 140px;
  }

  &__container {
    padding-top: 35px;
    display: flex;
    align-items: center;

    @media (max-width: 767px) {
      flex-direction: column;
      padding-bottom: 10px;
    }
  }

  &__content,
  &__img {
    flex: 0 0 50%;
    max-width: 50%;

    @media (max-width: 767px) {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }
}

.content {
  @media (max-width: 767px) {
    order: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    top: -50px;
  }

  p {
    font-size: 20px;
    line-height: 28px;
    color: #ced7e7;
    max-width: 440px;
    margin: 0 0 40px;
    position: relative;

    @media (max-width: 767px) {
      text-align: center;
      max-width: 315px;
      margin-bottom: 25px;
      font-size: 18px;
      line-height: 26px;
    }

    @media (min-width: 1024px) {
      &::before {
        content: '';
        position: absolute;
        width: 605px;
        height: 296px;
        top: -144px;
        left: -60px;
        background-image: url('../../assets/img/hub/bg-star2.svg');
        background-repeat: no-repeat;
        background-position: center;
        pointer-events: none;
      }
    }
  }

  &__actions {
    position: relative;
    z-index: 1;

    @media (max-width: 767px) {
      display: flex;
      align-items: center;
      flex-direction: column;
    }

    button:first-child {
      margin-right: 20px;

      @media (max-width: 767px) {
        margin-right: 0;
        margin-bottom: 25px;
      }
    }

    @media (max-width: 767px) {
      button {
        width: 319px;
        justify-content: center;
        min-height: 56px;
      }
    }
  }
}

.img {
  position: relative;
  z-index: 1;

  @media (max-width: 767px) {
    min-height: 391px;
  }

  @media (min-width: 768px) {
    &::before {
      content: '';
      position: absolute;
      width: 487px;
      height: 149px;
      top: -25px;
      left: 10px;
      background-image: url('../../assets/img/hub/bg-star3.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
    }
  }

  @media (min-width: 1024px) {
    &::after {
      content: '';
      position: absolute;
      width: 502px;
      height: 270px;
      bottom: 157px;
      right: -342px;
      background-image: url('../../assets/img/hub/bg-star4.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: -1;
    }
  }

  img {
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 629px;
    max-height: 543px;
    object-fit: contain;

    @media (max-width: 767px) {
      min-width: 458px;
      min-height: 391px;
      left: 50%;
      position: absolute;
      transform: translateX(-50%);
    }

    @media (min-width: 1200px) {
      width: 629px;
      height: 543px;
      top: -36px;
    }
  }
}
</style>
